Skip to main content
`Ctrl`+`K`

# DMPlexSetScale

Set the scale for the specified fundamental unit

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetScale(DM dm, PetscUnit unit, PetscReal scale)

Not Collective

## Input Parameters

- dm - the `DM`

- unit - The SI unit

- scale - The value used to scale all quantities with this unit

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetScale()`, `PetscUnit`

## Level

advanced

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages